Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.util
Interface WSDLDiagnostic

All Known Implementing Classes:
  WSDLDiagnosticImpl

    public interface WSDLDiagnostic

Generated by the WSDL model parsing and validation mechanisms.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

This interface is a candidate to becoming a first class WSDL model object.

Method Summary
`java.lang.Object` | `getContainer()` returns the Element where the error occurs
`java.lang.String` | `getKey()` Gets the original message key.
`org.w3c.dom.Node` | `getNode()` Gets the DOM Node where the error occurs
`WSDLDiagnosticSeverity` | `getSeverity()` Provides this diagnostic's severity.
`EList` | `getSubstitutions()` Returns a list with the original message parameters as Strings.
`void` | `setContainer(java.lang.Object container)` Sets the Container of the error
`void` | `setKey(java.lang.String value)` Sets the original message key.
`void` | `setNode(org.w3c.dom.Node node)` Sets the DOM Node where the error occurs
`void` | `setSeverity(WSDLDiagnosticSeverity severity)` Sets this diagnostic's severity.

Method Detail

### getSeverity

    WSDLDiagnosticSeverity getSeverity()

  Provides this diagnostic's severity.

  Returns:
    an XSDDiagnosticSeverity

### setSeverity

    void setSeverity(WSDLDiagnosticSeverity severity)

  Sets this diagnostic's severity.

  Parameters:
    `severity` - the new diagnostic severity.

### getKey

    java.lang.String getKey()

  Gets the original message key.

  Returns:
    a String with the original message key.

### setKey

    void setKey(java.lang.String value)

  Sets the original message key.

  Parameters:
    `value` - the new message key value.

### getNode

    org.w3c.dom.Node getNode()

  Gets the DOM Node where the error occurs

  Returns:
    The DOM node where the error occurs

### setNode

    void setNode(org.w3c.dom.Node node)

  Sets the DOM Node where the error occurs

  Parameters:
    `node` -

### getContainer

    java.lang.Object getContainer()

  returns the Element where the error occurs

  Returns:
    - Object of type XSDConcreteComponent if the error comes from the inline schema of a wsdl file - object of type WSDLElement if the error comes from other part of the wsdl file

### setContainer

    void setContainer(java.lang.Object container)

  Sets the Container of the error

  Parameters:
    `container` - an Object of either XSDConcreteComponent or WSDLElement

### getSubstitutions

    EList getSubstitutions()

  Returns a list with the original message parameters as Strings.

  Returns:
    a list with the original message parameters as Strings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD